## freeswitch-sounds-en-ca-june 1.0.51+provoice1

=== debian/changelog ===
freeswitch-sounds-en-ca-june (1.0.51+provoice1) jammy; urgency=medium

  * Release for ProVoice on Ubuntu 22.04 LTS

 -- Thomas Lobker <thomas@mediaserve.nl>  Mon, 27 Mar 2023 17:55:00 +0000
