=== debian/control ===
#### Do not edit!  This file is auto-generated from debian/bootstrap.sh.

Source: freeswitch-sounds-en-ca-june
Section: comm
Priority: optional
Maintainer: Andrey Volk <andrey@signalwire.com>
Build-Depends: debhelper (>= 8.0.0), sox, flac
Standards-Version: 3.9.3
Homepage: http://files.freeswitch.org/

Package: freeswitch-sounds-en-ca-june
Provides: freeswitch-sounds, freeswitch-sounds-en,
 freeswitch-sounds-en-ca
Architecture: all
Depends: ${misc:Depends}, sox, flac
Description: EN Canadian June sounds for FreeSWITCH
 This package contains the EN Canadian June sounds for FreeSWITCH.
