=== debian/watch ===
version=3
opts="filenamemangle=s/48000-//" \
  http://files.freeswitch.org/freeswitch-sounds-en-ca-june-48000-(.*)\.tar\.gz
